;*******       Tachometer ATP Code         *****************
;	Using Atmel AT89C2051 P; 18.000 MHz TCXO
;
;   	
;	27-Mar-2018	V1.00		Original entry
;	
;
;
;
;

                   	include        "Strobe.h"

;** set up vector table

zero               	org            0                   ;reset
                   	ajmp           start

                   	org            3                   ;int0
                   	reti

                   	org            0bh                 ;timer 0
                   	reti

                   	org            13h                 ;int 1
                   	reti

                   	org            1bh                 ;timer 1
				ajmp			timer
                   	
                   	org            23h                 ;sio
                   	reti						    	;sio is polled	

                   	org            2bh                 ;timer 2
                   	reti
                   	
                   	org            33h                 ;PCA
                   	reti                               ;not used

                   	org            3bh                 ;Keyboard
                   	reti                               ;not used

                   	org            4bh                 ;low level SPI svc routine
                   	reti						    	;not used

;start of code segment

                   	org            50h

signon             	db             "(c) 2018 Phoenix"
                   	db             "Engineering LLC."
                   	db             " Strobe v 1.00  "	 
                   	db             "  27-Mar-2018   "

start              	mov            p1,#0ffh
                   	mov            p2,#0ffh
                   	mov            p3,#0f7h
                   	
                   	mov            SP,#0fh             ;set up stack
                   	mov			PRESCALE,#15		;init duty cycle count

                   	mov            SCON,#40h           ;set mode 1: 8 bit UART
				mov			TH1,#0-160		;set up timer 1  3.6864 MHz
                  	mov			TL1,#0-160		;60Hz rate 
                  	jb			SPEED,start0
                  	mov			TH1,#0-192		;50Hz rate
                  	mov			TL1,#0-192                  	

start0            	mov            TMOD,#21h           ;T0=Mode 1 T1=mode 2
                   	mov            TCON,#40h           ;start timer1
                   	
                   	setb           IP.3             	;timer 1 priority
                   	mov            IE,#88h             ;global,timer1
                   	
main				sjmp			$				;loop forever 
				
;******************************
;* Timer 0 fires every 625/512S
;******************************                   	

timer              	djnz			PRESCALE,tim_done
				cpl			OUTPUT
				jb			OUTPUT,timer1
				mov			PRESCALE,#15		;output off, long duty cycle
				sjmp			tim_done

timer1			mov			PRESCALE,#1				
	
tim_done           	reti                               ;done!
      	
 

