;//*********** global defines for Tachometer  program


TMR_LOW            	equ            0-4ch

SPCON              	equ            0c3h                ;SFR for SPI
SPSTA              	equ            0c4h                ;no bit addr
SPDAT              	equ            0c5h

IEN1               	equ            0b1h                ;Intr Enable 1
IPH0               	equ            0b7h                ;priority sel high0
IPH1               	equ            0b3h                ;priority sel high1
IPL1               	equ            0b2h                ;priority sel low1
AUXR               	equ            8eh                 ;aux reg
AUXR1              	equ            0a2h                ;aux reg 1
CKCON0             	equ            8fh                 ;clk control reg

BDRCON             	equ            9bh                 ;Baud Rate Control Reg
BRL                	equ            9ah                 ;Baud Rate Reload Value

;//register defines
;RB1:
REG0               	equ            8
REG1               	equ            9
REG2               	equ            0ah
REG3               	equ            0bh
REG4               	equ            0ch
REG5               	equ            0dh
REG6               	equ            0eh
REG7               	equ            0fh


;//******** Ram locations **************************

;//                	00-07h         rb0 {exec code}     off limits
;//                	08-0fh         rb1 {timer #1}      off limits
;//                	10-27h         hardware stack      off limits
;//                	28-2fh [40-7f] flags (bit addr)    off limits
;//                	30-57h         EPROM  storage     off limits
;//                	58-7fh         user ram            ok to access
;//                	80-bfh         long buffer         ok to access
;//                	c0-ffh         long buffer1        ok to access


PRESCALE         	equ            30h                 ;
;		        	equ            31h                 ;
;		     	equ            32h                 ;     
;		         	equ            33h                 ;     
;		         	equ            34h                 ;     
;		         	equ            35h                 ;     
;		         	equ            36h                 ;     
;	           	equ            37h                 ;     
                                                      	;     
;		         	equ            38h                 ;     
;	           	equ            39h                 ;     
;	             	equ            3ah                 ;     
;                  	equ            3bh                 ;     
;                  	equ            3ch                 ;     
;ver major          equ            3dh                 ;     
;ver minor         	equ            3eh                 ;     
;ver minor         	equ            3fh                 ;     

;		        	equ            40h
;				equ            41h
;				equ            42h
;				equ            43h
;				equ            44h
;				equ            45h
;				equ            46h
;				equ            47h

;				equ			48h
;				equ			49h
;				equ            4ah
;				equ            4bh
;				equ            4ch
;				equ            4dh
;				equ            4eh
;                   equ            4fh





;//PORT 1

;	             	equ            90h                 ;
;       			equ            91h                 ;
;	            	equ            92h                 ;EPROM data
;      			equ            93h                 ;EPROM clk
;	       		equ            94h                 ;LED digit select active high
;	          	equ            95h                 ;
;	       		equ            96h                 ;
;	          	equ            97h                 ;

;//PORT 2

;		        	equ            0a0h                ;
;	          	equ            0a1h                ;
;           		equ            0a2h                ;
;          		equ            0a3h                ;
;	          	equ            0a4h                ;15kHz TP output
;		        	equ            0a5h                ;
;	          	equ            0a6h                ;
;	             	equ            0a7h                ;

;//PORT 3

;rxd		         	equ            0b0h                ;rx data sio 
;txd               	equ            0b1h                ;tx data sio
SPEED              	equ            0b2h                ;
OUTPUT             	equ            0b3h                ;
;	             	equ            0b4h                ;
;	             	equ            0b5h                ;
;	           	equ            0b6h                ;
;	            	equ            0b7h                ;

